<?php 
require_once("../datos/mysqlsubcontratista.php");
$s = new mysqlsubcontratista();
$indice = $_POST['name'];

if($indice == "updateservicio"){
	$id_servicio= $_POST['pk']; // the pk(primary key) that you assigned
	$servicio= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $s->updateservicio($id_servicio,$servicio);
  	echo $resultado;
}else if($indice == "setservicio"){
	$servicio = $_POST['servicio'];
	$resultado = $s->setservicio($servicio);
	echo $resultado;
}else if($indice == "updateempresa"){
	$id_subcontratista= $_POST['pk']; // the pk(primary key) that you assigned
	$empresa= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $s->updateempresa($id_subcontratista,$empresa);
	  	echo $resultado;

}else if($indice == "updatenombre"){
	$id_subcontratista= $_POST['pk']; // the pk(primary key) that you assigned
	$nombre= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $s->updatenombre($id_subcontratista,$nombre);
  	echo $resultado;

}else if($indice == "updatetelefono"){
	$id_subcontratista= $_POST['pk']; // the pk(primary key) that you assigned
	$telefono= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $s->updatetelefono($id_subcontratista,$telefono);
  	echo $resultado;
}else if($indice == "updateemail"){
	$id_subcontratista= $_POST['pk']; // the pk(primary key) that you assigned
	$email= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $s->updateemail($id_subcontratista,$email);
  	echo $resultado;


}else if($indice == "updateservicio_sub"){
	$id_subcontratista= $_POST['pk']; // the pk(primary key) that you assigned
	$id_servicio= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $s->updateservicio_sub($id_subcontratista,$id_servicio);
  	echo $resultado;

}else if($indice == "setsubcontratista"){
	$id_servicio = $_POST['id_servicio'];
	$empresa   = $_POST['empresa'];
	$representante = $_POST['representante'];
	$email = $_POST['email'];
	$telefono = $_POST['telefono'];
	$resultado = $s->setsubcontratista($id_servicio,$empresa,$representante,$email,$telefono);
  	echo $resultado;

}


?>